git-branchless-hide(1)

NAME
hide - Hide the provided commits from the smartlog

SYNOPSIS
hide [--hidden] [--no-delete-branches] [-r|--recursive] [-h|--help] [REVSETS]

DESCRIPTION
Hide the provided commits from the smartlog

OPTIONS

--hidden
    Include hidden commits in the results of evaluating revset expressions

--no-delete-branches
    Don't delete branches that point to commits that would be hidden. (Those commits will remain visible as a result.)

-r, --recursive
    Also recursively hide all visible children commits of the provided commits

-h, --help
    Print help

[REVSETS]
    Zero or more commits to hide